Skip to main content
GET
/
api
/
policy-gateway
/
history
List policy history
curl --request GET \
  --url https://api.abliteration.ai/api/policy-gateway/history \
  --header 'Authorization: Bearer <token>'
{
  "entries": [
    {
      "id": "<string>",
      "type": "<string>",
      "created_at": "<string>",
      "policy_id": "<string>",
      "policy_name": "<string>",
      "decision": "<string>",
      "reason_code": "<string>",
      "triggered_categories": [
        "<string>"
      ],
      "scenario_categories": [
        "<string>"
      ],
      "rollout_mode": "<string>",
      "enforced": true,
      "allowlist_hits": [
        "<string>"
      ],
      "denylist_hits": [
        "<string>"
      ],
      "policy_target": "<string>",
      "policy_user": "<string>",
      "quota_subject": "<string>",
      "project_id": "<string>",
      "project_label": "<string>",
      "data_classification": "<string>",
      "model": "<string>",
      "config": {
        "policy_id": "<string>",
        "name": "<string>",
        "owner": "<string>",
        "description": "<string>",
        "rules": {
          "allowlist": [
            "<string>"
          ],
          "denylist": [
            "<string>"
          ],
          "redact": true,
          "rewrite_instead_of_refuse": true,
          "response_pattern": "<string>",
          "reason_codes": [
            "<string>"
          ],
          "flagged_categories": [
            "<string>"
          ]
        },
        "org_controls": {
          "project_keys": true,
          "user_quotas": true,
          "audit_logs": true,
          "data_classification": "<string>",
          "user_quota": {
            "requests": 123,
            "tokens": 123,
            "window": "<string>"
          },
          "project_quota": {
            "requests": 123,
            "tokens": 123,
            "window": "<string>"
          }
        },
        "rollout": {
          "shadow": {
            "enabled": true,
            "sample_percent": 123,
            "targets": [
              "<string>"
            ]
          },
          "canary": {
            "enabled": true,
            "sample_percent": 123,
            "targets": [
              "<string>"
            ]
          },
          "rollback_on_spike": true
        },
        "refusal_replacement": {
          "mode": "<string>",
          "escalation_path": "<string>"
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a JWT or API key as a Bearer token.

Query Parameters

limit
integer
type
enum<string>
Available options:
all,
simulation,
revision,
enforcement

Response

History entries

entries
object[]